# zrok_sdk
zrok client access

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 0.3.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import zrok_api 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import zrok_api
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import zrok_api
from zrok_api.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = zrok_api.AccountApi(zrok_api.ApiClient(configuration))
body = zrok_api.InviteRequest() # InviteRequest |  (optional)

try:
    api_instance.invite(body=body)
except ApiException as e:
    print("Exception when calling AccountApi->invite: %s\n" % e)

# create an instance of the API class
api_instance = zrok_api.AccountApi(zrok_api.ApiClient(configuration))
body = zrok_api.LoginRequest() # LoginRequest |  (optional)

try:
    api_response = api_instance.login(body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->login: %s\n" % e)

# create an instance of the API class
api_instance = zrok_api.AccountApi(zrok_api.ApiClient(configuration))
body = zrok_api.RegisterRequest() # RegisterRequest |  (optional)

try:
    api_response = api_instance.register(body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->register: %s\n" % e)

# create an instance of the API class
api_instance = zrok_api.AccountApi(zrok_api.ApiClient(configuration))
body = zrok_api.ResetPasswordRequest() # ResetPasswordRequest |  (optional)

try:
    api_instance.reset_password(body=body)
except ApiException as e:
    print("Exception when calling AccountApi->reset_password: %s\n" % e)

# create an instance of the API class
api_instance = zrok_api.AccountApi(zrok_api.ApiClient(configuration))
body = zrok_api.ResetPasswordRequestBody() # ResetPasswordRequestBody |  (optional)

try:
    api_instance.reset_password_request(body=body)
except ApiException as e:
    print("Exception when calling AccountApi->reset_password_request: %s\n" % e)

# create an instance of the API class
api_instance = zrok_api.AccountApi(zrok_api.ApiClient(configuration))
body = zrok_api.VerifyRequest() # VerifyRequest |  (optional)

try:
    api_response = api_instance.verify(body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling AccountApi->verify: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to */api/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AccountApi* | [**invite**](docs/AccountApi.md#invite) | **POST** /invite | 
*AccountApi* | [**login**](docs/AccountApi.md#login) | **POST** /login | 
*AccountApi* | [**register**](docs/AccountApi.md#register) | **POST** /register | 
*AccountApi* | [**reset_password**](docs/AccountApi.md#reset_password) | **POST** /resetPassword | 
*AccountApi* | [**reset_password_request**](docs/AccountApi.md#reset_password_request) | **POST** /resetPasswordRequest | 
*AccountApi* | [**verify**](docs/AccountApi.md#verify) | **POST** /verify | 
*AdminApi* | [**create_frontend**](docs/AdminApi.md#create_frontend) | **POST** /frontend | 
*AdminApi* | [**create_identity**](docs/AdminApi.md#create_identity) | **POST** /identity | 
*AdminApi* | [**delete_frontend**](docs/AdminApi.md#delete_frontend) | **DELETE** /frontend | 
*AdminApi* | [**invite_token_generate**](docs/AdminApi.md#invite_token_generate) | **POST** /invite/token/generate | 
*AdminApi* | [**list_frontends**](docs/AdminApi.md#list_frontends) | **GET** /frontends | 
*AdminApi* | [**update_frontend**](docs/AdminApi.md#update_frontend) | **PATCH** /frontend | 
*EnvironmentApi* | [**disable**](docs/EnvironmentApi.md#disable) | **POST** /disable | 
*EnvironmentApi* | [**enable**](docs/EnvironmentApi.md#enable) | **POST** /enable | 
*MetadataApi* | [**configuration**](docs/MetadataApi.md#configuration) | **GET** /configuration | 
*MetadataApi* | [**get_account_detail**](docs/MetadataApi.md#get_account_detail) | **GET** /detail/account | 
*MetadataApi* | [**get_account_metrics**](docs/MetadataApi.md#get_account_metrics) | **GET** /metrics/account | 
*MetadataApi* | [**get_environment_detail**](docs/MetadataApi.md#get_environment_detail) | **GET** /detail/environment/{envZId} | 
*MetadataApi* | [**get_environment_metrics**](docs/MetadataApi.md#get_environment_metrics) | **GET** /metrics/environment/{envId} | 
*MetadataApi* | [**get_frontend_detail**](docs/MetadataApi.md#get_frontend_detail) | **GET** /detail/frontend/{feId} | 
*MetadataApi* | [**get_share_detail**](docs/MetadataApi.md#get_share_detail) | **GET** /detail/share/{shrToken} | 
*MetadataApi* | [**get_share_metrics**](docs/MetadataApi.md#get_share_metrics) | **GET** /metrics/share/{shrToken} | 
*MetadataApi* | [**overview**](docs/MetadataApi.md#overview) | **GET** /overview | 
*MetadataApi* | [**version**](docs/MetadataApi.md#version) | **GET** /version | 
*ShareApi* | [**access**](docs/ShareApi.md#access) | **POST** /access | 
*ShareApi* | [**share**](docs/ShareApi.md#share) | **POST** /share | 
*ShareApi* | [**unaccess**](docs/ShareApi.md#unaccess) | **DELETE** /unaccess | 
*ShareApi* | [**unshare**](docs/ShareApi.md#unshare) | **DELETE** /unshare | 
*ShareApi* | [**update_share**](docs/ShareApi.md#update_share) | **PATCH** /share | 

## Documentation For Models

 - [AccessRequest](docs/AccessRequest.md)
 - [AccessResponse](docs/AccessResponse.md)
 - [AuthUser](docs/AuthUser.md)
 - [Configuration](docs/Configuration.md)
 - [CreateFrontendRequest](docs/CreateFrontendRequest.md)
 - [CreateFrontendResponse](docs/CreateFrontendResponse.md)
 - [DeleteFrontendRequest](docs/DeleteFrontendRequest.md)
 - [DisableRequest](docs/DisableRequest.md)
 - [EnableRequest](docs/EnableRequest.md)
 - [EnableResponse](docs/EnableResponse.md)
 - [Environment](docs/Environment.md)
 - [EnvironmentAndResources](docs/EnvironmentAndResources.md)
 - [Environments](docs/Environments.md)
 - [ErrorMessage](docs/ErrorMessage.md)
 - [Frontend](docs/Frontend.md)
 - [Frontends](docs/Frontends.md)
 - [IdentityBody](docs/IdentityBody.md)
 - [InlineResponse201](docs/InlineResponse201.md)
 - [InviteRequest](docs/InviteRequest.md)
 - [InviteTokenGenerateRequest](docs/InviteTokenGenerateRequest.md)
 - [LoginRequest](docs/LoginRequest.md)
 - [LoginResponse](docs/LoginResponse.md)
 - [Metrics](docs/Metrics.md)
 - [MetricsSample](docs/MetricsSample.md)
 - [Overview](docs/Overview.md)
 - [PasswordRequirements](docs/PasswordRequirements.md)
 - [Principal](docs/Principal.md)
 - [PublicFrontend](docs/PublicFrontend.md)
 - [PublicFrontendList](docs/PublicFrontendList.md)
 - [RegisterRequest](docs/RegisterRequest.md)
 - [RegisterResponse](docs/RegisterResponse.md)
 - [ResetPasswordRequest](docs/ResetPasswordRequest.md)
 - [ResetPasswordRequestBody](docs/ResetPasswordRequestBody.md)
 - [Share](docs/Share.md)
 - [ShareRequest](docs/ShareRequest.md)
 - [ShareResponse](docs/ShareResponse.md)
 - [Shares](docs/Shares.md)
 - [SparkData](docs/SparkData.md)
 - [SparkDataSample](docs/SparkDataSample.md)
 - [UnaccessRequest](docs/UnaccessRequest.md)
 - [UnshareRequest](docs/UnshareRequest.md)
 - [UpdateFrontendRequest](docs/UpdateFrontendRequest.md)
 - [UpdateShareRequest](docs/UpdateShareRequest.md)
 - [VerifyRequest](docs/VerifyRequest.md)
 - [VerifyResponse](docs/VerifyResponse.md)
 - [Version](docs/Version.md)

## Documentation For Authorization


## key

- **Type**: API key
- **API key parameter name**: x-token
- **Location**: HTTP header


## Author


